using Android.App;
using Android.Content.PM;
using Android.OS;

namespace VideoOS.Mobile.SDK.Samples.Xamarin.Android
{
    [Activity(Label = "MobileSDKXamarinSample", Icon = "@drawable/icon", Theme = "@style/MainTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            App.ScreenWidth = Resources.DisplayMetrics.WidthPixels;
            App.ScreenHeight = Resources.DisplayMetrics.HeightPixels;

            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource = Resource.Layout.Toolbar;

            base.OnCreate(bundle);

            global::Xamarin.Forms.Forms.Init(this, bundle);

            Mobile.Phone.Environment.Instance.Initialize();
            Phone.Environment.Instance.Initialze();

            LoadApplication(new App());
        }
    }
}